org.apache.solr.client.solrj.io.stream

## Class StreamContext

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.StreamContext

All Implemented Interfaces:
  Serializable

    public class StreamContext
    extends Object
    implements Serializable

The StreamContext is passed to TupleStreams using the TupleStream.setStreamContext() method. The StreamContext is used to pass shared context to concentrically wrapped TupleStreams. Note: The StreamContext contains the SolrClientCache which is used to cache SolrClients for reuse across multiple TupleStreams.

See Also:
  Serialized Form

### Field Summary

Fields
`int` `numWorkers`
`int` `workerID`

### Constructor Summary

Constructors
Constructor and Description
`StreamContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `containsKey(Object key)`
`Object` `get(Object key)`
`Map` `getEntries()`
`Map<String,Object>` `getLets()`
`ModelCache` `getModelCache()`
`ConcurrentMap` `getObjectCache()`
`SolrParams` `getRequestParams()`
`RequestReplicaListTransformerGenerator` `getRequestReplicaListTransformerGenerator()`
`SolrClientCache` `getSolrClientCache()`
`StreamFactory` `getStreamFactory()`
`Map` `getTupleContext()`
`void` `put(Object key, Object value)`
`void` `setModelCache(ModelCache modelCache)`
`void` `setObjectCache(ConcurrentMap objectCache)`
`void` `setRequestParams(SolrParams requestParams)`
`void` `setRequestReplicaListTransformerGenerator(RequestReplicaListTransformerGenerator requestReplicaListTransformerGenerator)`
`void` `setSolrClientCache(SolrClientCache clientCache)`
`void` `setStreamFactory(StreamFactory streamFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### workerID

    public int workerID

#### numWorkers

    public int numWorkers

### Constructor Detail

#### StreamContext

    public StreamContext()

### Method Detail

#### getObjectCache

    public ConcurrentMap getObjectCache()

#### setObjectCache

    public void setObjectCache(ConcurrentMap objectCache)

#### getLets

    public Map<String,Object> getLets()

#### get

    public Object get(Object key)

#### put

    public void put(Object key,
                    Object value)

#### containsKey

    public boolean containsKey(Object key)

#### getEntries

    public Map getEntries()

#### setSolrClientCache

    public void setSolrClientCache(SolrClientCache clientCache)

#### setModelCache

    public void setModelCache(ModelCache modelCache)

#### getSolrClientCache

    public SolrClientCache getSolrClientCache()

#### getModelCache

    public ModelCache getModelCache()

#### setStreamFactory

    public void setStreamFactory(StreamFactory streamFactory)

#### getTupleContext

    public Map getTupleContext()

#### getStreamFactory

    public StreamFactory getStreamFactory()

#### setRequestParams

    public void setRequestParams(SolrParams requestParams)

#### getRequestParams

    public SolrParams getRequestParams()

#### setRequestReplicaListTransformerGenerator

    public void setRequestReplicaListTransformerGenerator(RequestReplicaListTransformerGenerator requestReplicaListTransformerGenerator)

#### getRequestReplicaListTransformerGenerator

    public RequestReplicaListTransformerGenerator getRequestReplicaListTransformerGenerator()